package com.zcloud.modules.kangzai.service.impl;
 import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
 import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
 import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
 import com.zcloud.common.utils.PageUtils;
 import com.zcloud.modules.kangzai.dao.BusRiverSectionsStreetDao;
 import com.zcloud.modules.kangzai.entity.BusRiverSectionsStreetEntity;
 import com.zcloud.modules.kangzai.service.BusRiverSectionsStreetService;
 import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

 import java.util.List;
 import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河流县区段信息表(BusRiverSectionsStreet)表服务实现类
 * @Date 2025-06-12 17:14:57
 */
@Service("busRiverSectionsStreetService")
public class BusRiverSectionsStreetServiceImpl extends ServiceImpl<BusRiverSectionsStreetDao, BusRiverSectionsStreetEntity> implements BusRiverSectionsStreetService {

    @Override
	public BusRiverSectionsStreetEntity queryByFlexibleParams(String paramName, Object paramValue) {
		QueryWrapper<BusRiverSectionsStreetEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

		return baseMapper.selectOne(queryWrapper);
	}

	@Override
	public List<BusRiverSectionsStreetEntity> queryListByFlexibleParams(String paramName, Object paramValue) {
		QueryWrapper<BusRiverSectionsStreetEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

		return baseMapper.selectList(queryWrapper);
	}

    @Override
    public PageUtils listPage(Map<String, Object> params) {
        Page<Map<String,Object>> page = new Page<>(Integer.parseInt(params.get("curPage").toString()),Integer.parseInt(params.get("limit").toString()));
        params.put("isDelete",0);
        IPage<BusRiverSectionsStreetEntity> ipage = baseMapper.listPage(page,params);
        return new PageUtils(ipage);
    }


   @Override
	public void delete(String riverSectionsStreetId,String userId){
		UpdateWrapper<BusRiverSectionsStreetEntity> updateWrapper = new UpdateWrapper<>();
		updateWrapper.eq("river_sections_street_id",riverSectionsStreetId);

		BusRiverSectionsStreetEntity busRiverSectionsStreet = new BusRiverSectionsStreetEntity();
		busRiverSectionsStreet.setIsDelete(1);

		this.update(busRiverSectionsStreet, updateWrapper);
	}
}
